"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-11.0-arm64-cpython-310/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x1081f6710>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x1081f67a0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1081f6830>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1081f68c0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x1081f6950>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x1081f69e0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1081f6a70>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1081f6b00>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1081f6b90>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1081f6c20>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x1081f6cb0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x1081f6d40>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x1081f6dd0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x1081f6e60>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x1081f6ef0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x1081f6f80>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x1081f7010>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x1081f70a0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x1081f7130>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x1081f71c0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x1081f7250>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x1081f72e0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x1081f7370>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x1081f7400>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x1081f7520>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x1081f7490>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x1081f75b0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x1081f7640>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x1081f76d0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x1081f7760>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x1081f77f0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x1081f7880>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x1081f7910>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x1081f79a0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x1081f7a30>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x1081f7ac0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x1081f7b50>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x1081f7be0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1081f7c70>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1081f7d00>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1081f7d90>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x1081f7e20>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x1081f7eb0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x1081f7f40>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x10823c040>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x10823c0d0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x10823c160>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10823c1f0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10823c280>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x10823c310>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x10823c3a0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x10823c430>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x10823c4c0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x10823c550>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x10823c5e0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x10823c670>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x10823c700>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10823c790>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x10823c820>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x10823c8b0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x10823c940>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x10823c9d0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x10823ca60>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x10823caf0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x10823cb80>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x10823cd30>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x10823cc10>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x10823cdc0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x10823ce50>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10823cee0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x10823cf70>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x10823d000>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10823d120>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x10823d090>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x10823d1b0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x10823d240>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x10823d2d0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x10823d3f0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x10823d360>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x10823d480>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x10823d510>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x10823d5a0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x10823d630>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x10823d6c0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x10823d750>)]
name: str = 'fr_HOCCN'
